require 'spec_helper'

describe Bip70::PaymentRequestCreator do
  let(:outputs) { [{address: 'aoeusnth', amount: 100}] }

  it "can create a paymentrequest" do
    expect{ Bip70::PaymentRequestCreator.run(outputs) }.to_not raise_error
  end

  it "appends headers" do
    request = Bip70::PaymentRequestCreator.run(outputs)
    expect(request).to include("application/bitcoin-paymentrequest")
    p request
  end

end
