# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bip70/version'

Gem::Specification.new do |spec|
  spec.name          = "bip70"
  spec.version       = Bip70::VERSION
  spec.authors       = ["Justin Litchfield"]
  spec.email         = ["j@obsidianexchange.com"]
  spec.summary       = %q{Ruby library for working with the BIP-0070 protocol}
  spec.description   = %q{Create bitcoin payment requests easily}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "pry"

  spec.add_dependency "ruby-protocol-buffers"
end
